Skip to main content
GET
cURL
Anti-Polling Warning: Avoid polling this endpoint; use webhooks for real-time updates. See Anti-Polling Policy.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

xIntentId
string
required

Unique identifier of the intent

Example:

"in_fooBOwYsaK50AEfK"

Query Parameters

expand
enum<string>[]

List of fields to expand in the response. Available options:

  • charge_attempts : includes all charge attempts
  • succeeded_charge : includes the successful charge details
Available options:
charge_attempts,
succeeded_charge

Response

Successful response with transaction status and related details

amount
integer

The amount in lowest count unit (e.g., cents for USD)

Example:

100

currency
string

Three-letter currency code

Example:

"USD"

presentmentCurrency
string

The currency that the customer paid in

Example:

"USD"

receiptId
string

Your identifier for the order

Example:

"order123"

customerDetails
object

Billing details for the customer.

customerReferenceId
string

Your unique identifier for the customer. This can be used to associate the payment with a specific customer in your system.

Example:

"cus_Tfd3Jq1tZxPjYVhRQW2r3"

description
string

Description of the order, if any

Example:

"Order for 2 items"

callbackUrl
string

Callback URL to notify order status

Example:

"https://example.com/callback"

cancelUrl
string

The URL to redirect the customer to when they cancel the payment.

Example:

"https://example.com/cancel"

createdAt
string<date-time>

Timestamp of when the intent was created

Example:

"2024-09-26T10:41:50.472+00:00"

status
string

Current status of the intent. Refer payment statuses

Example:

"CREATED"

xIntentId
string

Unique identifier of the intent

Example:

"in_fooBOwYsaK50AEfK"

succeededAt
integer

Epoch timestamp in milliseconds of when the payment was successfully completed

Example:

1727340330123

metadata
object

A collection of key-value pairs that were provided when the object was created. These metadata values are echoed back in the response, allowing you to store and retrieve custom information such as context-specific attributes, references, or tags. This can be useful for correlating records in your system or attaching meaningful context to transactions.

Example:
chargeAttempts
object[]

List of all charge attempts for this intent. Only included when charge_attempts is specified in the expand parameter.

Example:
succeededCharge
object

Details of the successful charge attempt. Only included when succeeded_charge is specified in the expand parameter and the payment was successful.

Example:
paymentMethod
enum<string>

The payment method associated with a successful intent. See Payment Methods for the full list of supported payment methods and their availability.

Available options:
CARD,
GOOGLE_PAY,
APPLE_PAY,
PAYPAL,
AMAZON_PAY,
CASH_APP,
KLARNA,
AFTERPAY,
AFFIRM,
VENMO,
CARD_INSTALLMENT
Example:

"CARD"